#!/bin/sh
version=11.2.0
libversion=0.0.0
bindir=/usr/bin
mandir=/usr/man
awkcmd=awk
osname=`uname -s`
userid=`id -u`
setupdir=`dirname $0`
setupdir=`cd "$setupdir" && pwd`

if [ "$osname" = "OS400" ]; then
   bindir=/QOpenSys/usr/bin
   mandir=/QOpenSys/usr/man
   if test -z "$1" ; then
      installdir=/QOpenSys/usr/local
   else
      installdir="/QOpenSys/$1"
   fi
elif test -z "$1" ; then
   installdir=/usr/local
else
   installdir="$1"
   if [ "$userid" != "0" ]
   then
     bindir="$installdir/bin"
     mandir=
   fi
fi
umask 022
cd $setupdir/usr/local

echo "Uninstalling TBarCode..."

if test -f $installdir/share/tbarcode11/tbarcoded 
then
	$installdir/share/tbarcode11/tbarcoded --stop
	$installdir/share/tbarcode11/tbarcoded --cleanup
fi

rm -f $installdir/share/tbarcode11/license.ini
rm -f $installdir/share/tbarcode11/tbarcode.conf
rm -f $installdir/share/tbarcode11/tbarcoded.conf
rm -f $installdir/share/tbarcode11/samples/2bc.pcl
rm -f $installdir/share/tbarcode11/samples/AIAG_B10.pcl
rm -f $installdir/share/tbarcode11/samples/bclabels.pcl
rm -f $installdir/share/tbarcode11/samples/README
rm -f $installdir/share/tbarcode11/samples/testfile.ps
rm -f $installdir/include/libtbarcode11/tbarcodelib.h
rm -f $installdir/include/libtbarcode11/tbcdef.h
rm -f $installdir/include/libtbarcode11/tecbcfunct.h
rm -f $installdir/include/libtbarcode11/tecbcenum.h
rm -f $installdir/include/TECITStd/TECDataTypes.h
rm -f $installdir/include/TECITStd/TECWinError.h
rm -f $installdir/share/tbarcode11/filtercups_pcl.sh
rm -f $installdir/share/tbarcode11/filtercups_ps.sh
rm -f $installdir/share/tbarcode11/filterlprng_fwd.sh
rm -f $installdir/share/tbarcode11/filterlprng.sh
rm -f $installdir/share/tbarcode11/tbarcode
rm -f $installdir/share/tbarcode11/tbarcoded
rm -f $bindir/tbarcode
rm -f $mandir/man1/tbarcode
rm -f $installdir/lib/libtbarcode11.a
rm -f $installdir/lib/libtbarcode11.la
rm -f $installdir/lib/libtbarcode11.so
rm -f $installdir/lib/libtbarcode11.so.0
rm -f $installdir/lib/libtbarcode11.so.$libversion

rmdir $installdir/share/tbarcode11/samples
rmdir $installdir/share/tbarcode11
rmdir $installdir/include/libtbarcode11
rmdir $installdir/include/TECITStd

echo "Finished."
